import os
import random
import string
from datetime import timedelta

SESSION_DURATION = timedelta(minutes=120)
COOKIE_NAME = "nota_folkugat"
COOKIE_MAX_AGE = int(SESSION_DURATION.total_seconds())
ADMIN_PASSWORD = os.getenv("ADMIN_PASSWORD", "hola")
JWT_SECRET = os.getenv("JWT_SECRET", "".join(random.choice(string.ascii_letters) for _ in range(32)))
